API referenceBidding Spot Reference Data
POST /api/SpotReference/GetEntityOptionsByMarketPartyId
Returns the assets that the selected market party may bid for on the requested Spot market and dispatch date, including each entity's trading side.
POST
/api/SpotReference/GetEntityOptionsByMarketPartyIdcurl -X POST "/api/SpotReference/GetEntityOptionsByMarketPartyId" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"date": "2026-01-15T09:30:00Z",
"market": 1,
"marketPartyId": 0,
"entityId": 0
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.Bidding.SpotMarketRequest
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.Spot.MarketPartyEntitySimpleDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"entityId": "string",
"entityCode": "string",
"entityName": "string",
"side": 1
}
]
}